ru.yandex.clickhouse

## Class ClickHouseDriver

- java.lang.Object
- - ru.yandex.clickhouse.ClickHouseDriver

All Implemented Interfaces:
  Driver

    public class ClickHouseDriver
    extends Object
    implements Driver

URL Format primitive for now jdbc:clickhouse://host:port for example, jdbc:clickhouse://localhost:8123

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseDriver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `acceptsURL(String url)`
`ClickHouseConnection` `connect(String url, ClickHouseProperties properties)`
`ClickHouseConnection` `connect(String url, Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)`
`boolean` `jdbcCompliant()`
`void` `scheduleConnectionsCleaning(int rate, TimeUnit timeUnit)` Schedules connections cleaning at a rate.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseDriver

    public ClickHouseDriver()

### Method Detail

#### connect

    public ClickHouseConnection connect(String url,
                                        Properties info)
                                 throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

#### connect

    public ClickHouseConnection connect(String url,
                                        ClickHouseProperties properties)
                                 throws SQLException

Throws:
  `SQLException`

#### acceptsURL

    public boolean acceptsURL(String url)
                       throws SQLException

Specified by:
  `acceptsURL` in interface `Driver`
Throws:
  `SQLException`

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `Driver`
Throws:
  `SQLFeatureNotSupportedException`

#### scheduleConnectionsCleaning

    public void scheduleConnectionsCleaning(int rate,
                                            TimeUnit timeUnit)

Schedules connections cleaning at a rate. Turned off by default. See https://hc.apache.org/httpcomponents-client-4.5.x/tutorial/html/connmgmt.html#d5e418

Parameters:
  `rate` -
  `timeUnit` -